Integrated Webcam Realtek Integrated_Webcam_HD (0bda:58f4) not working in DELL XPS 13 9370 with firmware 1.50

Bug #1763748 reported by Walter Garcia-Fontes on 2018-04-13
156
This bug affects 29 people
Affects Status Importance Assigned to Milestone
Dell Sputnik
Undecided
Unassigned
HWE Next
Undecided
Unassigned
linux (Ubuntu)
Medium
Unassigned
Xenial
Undecided
Unassigned
Artful
Undecided
Unassigned
Bionic
Undecided
Unassigned
linux-oem (Ubuntu)
Undecided
Unassigned
Xenial
Undecided
Unassigned
Artful
Undecided
Unassigned
Bionic
Undecided
Unassigned

Bug Description

===SRU Justification===
[Impact]
UVC1.5 Realtek webcam on XPS 9370 does not work.

[Test]
Both the bug reporter and I can confirm the patch from Realtek works.

[Fix]
Use correct version control length for UVC1.5.

[Regression Potential]
Low. This only affects UVC1.5 webcams, which is quite rare in the wild.

===Original Bug Report===
The webcam is detected by the system, but no applications detect it.

sudo lsusb -v: (relevant part)
Bus 001 Device 002: ID 0bda:58f4 Realtek Semiconductor Corp.
Device Descriptor:
  bLength 18
  bDescriptorType 1
  bcdUSB 2.01
  bDeviceClass 239 Miscellaneous Device
  bDeviceSubClass 2 ?
  bDeviceProtocol 1 Interface Association
  bMaxPacketSize0 64
  idVendor 0x0bda Realtek Semiconductor Corp.
  idProduct 0x58f4
  bcdDevice 72.79
  iManufacturer 3 CN0FFMHCLOG0081SB0M1A01
  iProduct 1 Integrated_Webcam_HD
  iSerial 2 200901010001

In syslog (firmware can be seen in first line - 1.50):
Apr 13 12:36:25 XPS-13-9370 kernel: [ 2.126546] uvcvideo: Found UVC 1.50 device Integrated_Webcam_HD (0bda:58f4)
Apr 13 12:36:25 XPS-13-9370 kernel: [ 2.126908] usbcore: registered new interface driver btusb
Apr 13 12:36:25 XPS-13-9370 kernel: [ 2.127128] uvcvideo: UVC non compliance - GET_DEF(PROBE) not supported. Enabling workaround.
Apr 13 12:36:25 XPS-13-9370 kernel: [ 2.127462] uvcvideo: Failed to query (129) UVC probe control : -75 (exp. 34).
Apr 13 12:36:25 XPS-13-9370 kernel: [ 2.127464] uvcvideo: Failed to initialize the device (-5).
Apr 13 12:36:25 XPS-13-9370 kernel: [ 2.128061] uvcvideo: Unknown video format 00000032-0002-0010-8000-00aa00389b71
Apr 13 12:36:25 XPS-13-9370 kernel: [ 2.128065] uvcvideo: Found UVC 1.50 device Integrated_Webcam_HD (0bda:58f4)

ProblemType: Bug
DistroRelease: Ubuntu 18.04
Package: linux-image-4.15.0-13-generic 4.15.0-13.14 [modified: boot/vmlinuz-4.15.0-13-generic]
ProcVersionSignature: Ubuntu 4.15.0-13.14-generic 4.15.10
Uname: Linux 4.15.0-13-generic x86_64
ApportVersion: 2.20.9-0ubuntu4
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: wgarcia 2145 F.... pulseaudio
CurrentDesktop: Unity:Unity7:ubuntu
Date: Fri Apr 13 16:59:02 2018
HibernationDevice: RESUME=UUID=a6f64150-e0a5-4c6b-9097-b8f98b14bdcc
InstallationDate: Installed on 2018-04-09 (4 days ago)
InstallationMedia: Ubuntu 18.04 LTS "Bionic Beaver" - Alpha amd64 (20180408)
MachineType: Dell Inc. XPS 13 9370
ProcFB: 0 inteldrmfb
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-4.15.0-13-generic.efi.signed root=UUID=226e4127-5c15-4a18-8062-74ba83b57515 ro quiet splash vt.handoff=1
RelatedPackageVersions:
 linux-restricted-modules-4.15.0-13-generic N/A
 linux-backports-modules-4.15.0-13-generic N/A
 linux-firmware 1.173
SourcePackage: linux
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 02/21/2018
dmi.bios.vendor: Dell Inc.
dmi.bios.version: 1.2.1
dmi.board.name: 0F6P3V
dmi.board.vendor: Dell Inc.
dmi.board.version: A00
dmi.chassis.type: 9
dmi.chassis.vendor: Dell Inc.
dmi.modalias: dmi:bvnDellInc.:bvr1.2.1:bd02/21/2018:svnDellInc.:pnXPS139370:pvr:rvnDellInc.:rn0F6P3V:rvrA00:cvnDellInc.:ct9:cvr:
dmi.product.family: XPS
dmi.product.name: XPS 13 9370
dmi.sys.vendor: Dell Inc.

summary: - Integrated Webcam RealtekIntegrated_Webcam_HD (0bda:58f4) not working in
- DELL XPS 13 9370
+ Integrated Webcam Realtek Integrated_Webcam_HD (0bda:58f4) not working
+ in DELL XPS 13 9370

It seems that there is a patch being worked out:

https://<email address hidden>/msg127992.html

This change was made by a bot.

Changed in linux (Ubuntu):
status: New → Confirmed

Another piece of information. This webcam is working with the 1.0 firmware, but not with the 1.5 firmware that the Dell XPS 13 9370 ships right now. Some affected user have reported the issue and they have changed the screen for them with a webcam with the 1.0 firmware, and the webcam started working.

This is the non-working firmware:

uvcvideo: Found UVC 1.50 device Integrated_Webcam_HD (0bda:58f4)

And this is the working one:

uvcvideo: Found UVC 1.00 device Integrated_Webcam_HD (0bda:58f4)

I tried the following upstream kernel:

Linux XPS-13-9370 4.17.0-041700rc1-generic #201804152230 SMP Mon Apr 16 02:33:40 UTC 2018 x86_64 x86_64 x86_64 GNU/Linux

and the bug is reproducible.

tags: added: kernel-bug-exists-upstream-4.17.rc1
summary: Integrated Webcam Realtek Integrated_Webcam_HD (0bda:58f4) not working
- in DELL XPS 13 9370
+ in DELL XPS 13 9370 with firmware 1.50
description: updated
alkemyst (s-mersi) wrote :

Dear Walter,
  that's interesting, thanks for digging this out. Is there any way we can use the firmware 1.00 instead of 1.50? For example swapping a file in /lib/firmware?

Thanks
Stefano

Dear Stefano, I think the problem is there is no appropriate driver in the Linux kernel for the 1.50 firmware, and the installed webcam has that firmware.

I'm trying now to recompile the 4.17.rc1 kernel with the patch I mention in #2. I will try this patched kernel and see if the webcam works.

I've tried with a 4.17rc1 kernel recompiled with the patch mentioned in #2 but no change, the webcam does not work.

Kai-Heng Feng (kaihengfeng) wrote :

Is the webcam firmware upgradable under Linux? I can't reproduce the issue on the XPS 9370 at my hand because it's with older firmware.

Kai-Heng Feng (kaihengfeng):
>Is the webcam firmware upgradable under Linux? I can't reproduce the issue on the XPS 9370 at my hand >because it's with older firmware.

As far as I can tell the only way to upgrade the firmware is to completely change the screen, at least this is what Dell is doing for the users that report the issue. This is the new XPS 13 9370 laptop that they started selling at the end of January 2018. And instead of upgrading, they downgrade from version 1.50 to 1.00.

Changed in linux (Ubuntu):
importance: Undecided → Medium
Kai-Heng Feng (kaihengfeng) wrote :

Please try this kernel,
https://people.canonical.com/~khfeng/lp1763748/

I made an ugly workaround to keep the UVC version at 1.0. Let's see if this work.

Thanks Key-Heng, I tried your kernel but in my system there is no change. The webcam is still using the 1.50 firmware and is not detected by the system.

Download full text (5.5 KiB)

Dear Kai-Heng
  thank you vefry much for your contribution. I do have a webcam version
15.0
  I (think I) installed your .deb and rebooted and this is what I see in
the journal:
apr 16 15:18:39 ox kernel: Linux video capture interface: v2.00
apr 16 15:18:39 ox kernel: usbcore: registered new interface driver btusb
apr 16 15:18:39 ox kernel: uvcvideo: Found UVC 1.50 device
Integrated_Webcam_HD (0bda:58f4)
apr 16 15:18:39 ox kernel: uvcvideo: UVC non compliance - GET_DEF(PROBE)
not supported. Enabling workaround.
apr 16 15:18:39 ox kernel: uvcvideo: Failed to query (129) UVC probe
control : -75 (exp. 34).
apr 16 15:18:39 ox kernel: uvcvideo: Failed to initialize the device (-5).
apr 16 15:18:39 ox kernel: uvcvideo: Unknown video format
00000032-0002-0010-8000-00aa00389b71
apr 16 15:18:39 ox kernel: uvcvideo: Found UVC 1.50 device
Integrated_Webcam_HD (0bda:58f4)
apr 16 15:18:39 ox kernel: uvcvideo: UVC non compliance - GET_DEF(PROBE)
not supported. Enabling workaround.
apr 16 15:18:39 ox kernel: uvcvideo: Failed to query (129) UVC probe
control : -75 (exp. 34).
apr 16 15:18:39 ox kernel: uvcvideo: Failed to initialize the device (-5).
apr 16 15:18:39 ox kernel: usbcore: registered new interface driver uvcvideo
apr 16 15:18:39 ox kernel: USB Video Class driver (1.1.1)
   It looks (to me) that the version 1.50 is still detected by the kernel.
Two questions:
   a) how can I make sure I am running your version (the uname -r is the
same...)
   b) is there any other output you would like to see?

  P.S. needless to say the webcam is not working ATM :-)

Thanks
Stefano

2018-04-17 9:04 GMT+02:00 Kai-Heng Feng <email address hidden>:

> Please try this kernel,
> https://people.canonical.com/~khfeng/lp1763748/
>
> I made an ugly workaround to keep the UVC version at 1.0. Let's see if
> this work.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1763748
>
> Title:
> Integrated Webcam Realtek Integrated_Webcam_HD (0bda:58f4) not working
> in DELL XPS 13 9370 with firmware 1.50
>
> Status in Dell Sputnik:
> New
> Status in linux package in Ubuntu:
> Confirmed
>
> Bug description:
> The webcam is detected by the system, but no applications detect it.
>
> sudo lsusb -v: (relevant part)
> Bus 001 Device 002: ID 0bda:58f4 Realtek Semiconductor Corp.
> Device Descriptor:
> bLength 18
> bDescriptorType 1
> bcdUSB 2.01
> bDeviceClass 239 Miscellaneous Device
> bDeviceSubClass 2 ?
> bDeviceProtocol 1 Interface Association
> bMaxPacketSize0 64
> idVendor 0x0bda Realtek Semiconductor Corp.
> idProduct 0x58f4
> bcdDevice 72.79
> iManufacturer 3 CN0FFMHCLOG0081SB0M1A01
> iProduct 1 Integrated_Webcam_HD
> iSerial 2 200901010001
>
> In syslog (firmware can be seen in first line - 1.50):
> Apr 13 12:36:25 XPS-13-9370 kernel: [ 2.126546] uvcvideo: Found UVC
> 1.50 device Integrated_Webcam_HD (0bda:58f4)
> Apr 13 12:36:25 XPS-13-9370 kernel: [ 2.126908] usbcore: registered
> ...

Read more...

Kai-Heng Feng (kaihengfeng) wrote :

Ok, I use a more direct way to force the version to be 1.0:
diff --git a/drivers/media/usb/uvc/uvc_driver.c b/drivers/media/usb/uvc/uvc_driver.c
index 28b91b7d756f..33ee104f1800 100644
--- a/drivers/media/usb/uvc/uvc_driver.c
+++ b/drivers/media/usb/uvc/uvc_driver.c
@@ -2067,6 +2067,8 @@ static int uvc_probe(struct usb_interface *intf,
                goto error;
        }

+ dev->uvc_version = 0x0100;
+
        uvc_printk(KERN_INFO, "Found UVC %u.%02x device %s (%04x:%04x)\n",
                dev->uvc_version >> 8, dev->uvc_version & 0xff,
                udev->product ? udev->product : "<unnamed>",

Here's the kernel:
https://people.canonical.com/~khfeng/lp1763748-2/

I tried this last one, and webcam still not detected. But now syslog seems to show the 1.00 firmware. This is the output of "dmesg | grep uvcvideo":

 dmesg | grep uvcvideo
[ 2.148721] uvcvideo: Found UVC 1.00 device Integrated_Webcam_HD (0bda:58f4)
[ 2.149311] uvcvideo: UVC non compliance - GET_DEF(PROBE) not supported. Enabling workaround.
[ 2.149607] uvcvideo: Failed to query (129) UVC probe control : -75 (exp. 26).
[ 2.149610] uvcvideo: Failed to initialize the device (-5).
[ 2.150197] uvcvideo: Unknown video format 00000032-0002-0010-8000-00aa00389b71
[ 2.150202] uvcvideo: Found UVC 1.00 device Integrated_Webcam_HD (0bda:58f4)
[ 2.150835] uvcvideo: UVC non compliance - GET_DEF(PROBE) not supported. Enabling workaround.
[ 2.151133] uvcvideo: Failed to query (129) UVC probe control : -75 (exp. 26).
[ 2.151137] uvcvideo: Failed to initialize the device (-5).
[ 2.151154] usbcore: registered new interface driver uvcvideo

Kai-Heng Feng (kaihengfeng) wrote :

Right, I wasn't give it too much hoping.
I'll escalate the issue to UVC upstream to let them know the issue.
I'll also ask Realtek if there's a way (maybe via USB control message) to switch between UVC1.0/UVC1.5.

Mario Limonciello (superm1) wrote :

@Kai Heng,

I believe this should help:

Can you please apply https://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git/commit/drivers/media/usb/uvc?h=v4.17-rc1&id=e96cdc9a0aa2fcaa276a76e8ffa86fc10a1d3d99 to a test kernel?

Or alternatively can someone affected please test 4.17-rc1 (it's included)?

As I say in message #5, I tried 4.17rc1 and the webcam was still not working.

Kai-Heng Feng (kaihengfeng) wrote :

I actually found the discussion [1] several days ago. The patch is to support a new format.
The webcam in [1] is the UVC1.0 variant.

OTOH, this bug is not about format, the error happens at driver probing.

[1] https://www.spinics.net/lists/kernel/msg2755810.html

Kai-Heng Feng (kaihengfeng) wrote :

If the firmware is downgrade-able, I guess the best option here is to ask users to downgrade the firmware via fwupdmgr?

See this forum:

https://www.dell.com/community/Linux-General/Dell-xps-13-9370-Webcam-support/td-p/6032049

Dell is downgrading the firmware by plainly substituting the whole screen with another screen that has the integrated webcam with firmware 1.00.

Mario Limonciello (superm1) wrote :

@Walter Garcia-Fontes,

Sorry, I missed that comment of yours. Thank you for confirming that 4.17-rc1 didn't adequately resolve the issue.

I believe what this is coming down to is that there are still aspects from UVC 1.5 that are missing in the kernel then.

@Kai Heng,

There is no plugin currently available for fwupdmgr that can downgrade this firmware currently.

Kai-Heng Feng (kaihengfeng) wrote :

Let's wait for maintainers' reply for [1].

I Cc'ed both of you.

[1] https://www.spinics.net/lists/linux-media/msg132364.html

Jay Long (jay-z) wrote :

I am no kernel expert so, will leave that to those of you who are qualified. I did find this interesting. I am experiencing all of the same symptoms but, when I spin up a Windows instance in Virtualbox on 17.10 host, the camera is available and it works. Not sure how to explain that but, it does tell me that the camera is actually functionable.

@jay-z The reason is quite simply that there are drivers for this webcam available for Windows but not for Linux.

A solution has been proposed by Dell France:

http://dl.free.fr/uYeYUDXjo

Untar the archive and then go inside the folder, and you should be able to execute: sudo ./rts_uvc -v 0x0bda -p 0x58f4 --download 170606_6BF129N2_58F4_v7605.rfw

It should say a huge "PASS" and after rebooting the camera should be working.

I haven't been able to try it yet because I don't have my laptop with me.

Here is the reference:
https://www.dell.com/community/Linux-General/Dell-xps-13-9370-Webcam-support/td-p/6032049/page/9

alkemyst (s-mersi) wrote :

HUGE Thanks!
I can confirm that this solution works perfectly for my laptop (for the record: you do not even need to reboot).

wysiwyg31 (wysiwyg31) wrote :

Many thanks too !!!
Works perfectly.
Also no need to reboot.

Just to share, here is the output of the script:

Welcome to rts_uvc. V1.3
----:Download firmware begin
rts_uvc : open device by vid and pid
--Reset to Download mode
rts_uvc : open update success
----:Download fw success
----:Update firmware Pass
Realtek - Camera Firmware Update Result :
###### # ##### #####
# # # # # # # #
# # # # # #
###### # # ##### #####
# ####### # #
# # # # # # #
# # # ##### #####

More comments coming from DELL:

"Yesterday, a new Dell internal document was created which contained a temporary work around to downgrade the camera firmware to 1.0 ( the file RomainDurritcague shared ). This internal document is about to be deleted as this fix wasn't meant to be shared yet. The document was released prematurely. I've asked RomainDurritcague to delete the post which contains the file in question. The firmware downgrade is a downgrade in features. We don't like to downgrade our customers.
Dell is working to release an OS patch that will allow Ubuntu owners to utilize the camera with UVC 1.50. The patch is scheduled to be released on 5/11. That's all the detail
I have on the patch at this time. More to come.

Reference: https://www.dell.com/community/Linux-General/Dell-xps-13-9370-Webcam-support/td-p/6032049/page/10

Mario Limonciello (superm1) wrote :

All,

The patch has been submitted here:

https://lkml.org/lkml/2018/5/8/1117

Mario Limonciello (superm1) wrote :

@Kai Heng,

Can you share a test kernel with that patch for folks in this thread affected?

alkemyst (s-mersi) wrote :

Hello,
  I am with the few who tried the downgraded firmware 1.0
  Would it be possible to release the firmware 1.5 for us to re-upgrade?

Thanks
Stefano

Kai-Heng Feng (kaihengfeng) wrote :

I built a kernel with the patch. Please try it here.
https://people.canonical.com/~khfeng/lp1763748-rtl/

Shih-Yuan Lee (fourdollars) wrote :

Some steps to install the kernel on https://people.canonical.com/~khfeng/lp1763748-rtl/.

1. Download all Debian packages from https://people.canonical.com/~khfeng/lp1763748-rtl/

2. Open a GNOME Terminal by Ctrl+Alt+t.

3. Execute the following command in GNOME terminal to check if all Debian packages are already here to install.

$ ls -l ~/Download/
total 64428
-rw-rw-r-- 1 sylee sylee 1147000 May 11 13:34 linux-headers-4.15.0-22-generic_4.15.0-22.23_amd64.deb
-rw-rw-r-- 1 sylee sylee 11028116 May 11 13:35 linux-headers-4.15.0-22_4.15.0-22.23_all.deb
-rw-rw-r-- 1 sylee sylee 7953156 May 11 13:35 linux-image-unsigned-4.15.0-22-generic_4.15.0-22.23_amd64.deb
-rw-rw-r-- 1 sylee sylee 12978460 May 11 13:35 linux-modules-4.15.0-22-generic_4.15.0-22.23_amd64.deb
-rw-rw-r-- 1 sylee sylee 32836820 May 11 13:36 linux-modules-extra-4.15.0-22-generic_4.15.0-22.23_amd64.deb

4. Execute the following command in GNOME terminal to install the kernel

$ sudo dpkg -i Download/linux*.deb

5. Reboot the system to use the new kernel.

P.S. If you want to remove the testing kernel, just execute `sudo apt purge linux-headers-4.15.0-22 linux-headers-4.15.0-22-generic linux-image-unsigned-4.15.0-22-generic linux-modules-4.15.0-22-generic linux-modules-extra-4.15.0-22-generic`.

Hello! I have compiled kernel module with patch from https://lkml.org/lkml/2018/5/8/1117 and I can confirm it works. I'm attaching related lines from dmesg. Module was loaded via insmod. I'm using 4.16.1 Kernel.

Mario Limonciello (superm1) wrote :

@Josef,

Glad to hear that confirmation. It may be useful to respond with a Tested-by to the patch upstream.
https://patchwork.kernel.org/patch/10388043/

@Stefano

No need to upgrade again. You can stay at 1.0 and it's functionally just fine with Ubuntu.

Thanks,

alkemyst (s-mersi) wrote :

@Mario
Well, 1.0 already works without any patch. It'just downgraded in features too, right?

S

Mario Limonciello (superm1) wrote :

Only if you have userspace that uses other 1.5 features, which doesn't
exist today in Linux. The patch and fw 1.0 should be functionally
equivalent for Linux.

On Fri, May 11, 2018, 17:01 alkemyst <email address hidden> wrote:

> @Mario
> Well, 1.0 already works without any patch. It'just downgraded in features
> too, right?
>
> S
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1763748
>
> Title:
> Integrated Webcam Realtek Integrated_Webcam_HD (0bda:58f4) not working
> in DELL XPS 13 9370 with firmware 1.50
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/dell-sputnik/+bug/1763748/+subscriptions
>

I finally could get back to my laptop, and I have tried Kau-Heng's patched kernel 4.15.0-22 . I confirm that the webcam now works as expected. Thanks a lot Kay-Heng and Mario.

I will apply now for a SRU for all supported Ubuntu versions.

description: updated

@Mario Tested-by submitted to upstream. Thanks for this hint!

Changed in linux-oem (Ubuntu Artful):
status: New → Invalid
Changed in linux (Ubuntu Xenial):
status: New → Fix Committed
Changed in linux (Ubuntu Artful):
status: New → Fix Committed
Changed in linux (Ubuntu Bionic):
status: New → Fix Committed
Changed in linux-oem (Ubuntu Xenial):
status: New → In Progress
Changed in linux-oem (Ubuntu Bionic):
status: New → In Progress
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in linux-oem (Ubuntu):
status: New → Confirmed
Brad Figg (brad-figg) wrote :

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-bionic' to 'verification-done-bionic'. If the problem still exists, change the tag 'verification-needed-bionic' to 'verification-failed-bionic'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-bionic
tags: added: verification-done-bionic
Brad Figg (brad-figg) wrote :

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-artful' to 'verification-done-artful'. If the problem still exists, change the tag 'verification-needed-artful' to 'verification-failed-artful'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-artful
tags: removed: verification-needed-bionic
Cam Cope (ccope) wrote :

I'm not seeing a -proposed kernel for linux-generic-hwe-16.04 or linux-generic-hwe-16.04-edge, but would be happy to test one.

Matthew Lovibond (ub-matt-hv) wrote :

Just confirming the kernel in proposed fixed the webcam for me in 18.04.

Brad Figg (brad-figg) wrote :

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-xenial' to 'verification-done-xenial'. If the problem still exists, change the tag 'verification-needed-xenial' to 'verification-failed-xenial'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-xenial
Kai-Heng Feng (kaihengfeng) wrote :

Ok for Xenial (v4.4) kernel, there's one missing commit that adds UVC1.5 to device ID.

The commit for this bug is still needed though.

I'll send another SRU to backport the commit.

tags: added: verification-done-artful
removed: verification-needed-artful verification-needed-xenial
tags: added: originate-from-1773073 somerville

well. I have just tested the proposed kernel (*) for 16.04. strangely my camera is not seen at all, there is not trace of any "UVC" activity in syslog/dmesh, and when I load the module "by hand" it does not detect any camera. only lsusb does. Am I still missing something?

[4.4.0-128-generic #154], maybe this is wrong?]

Kai-Heng Feng (kaihengfeng) wrote :

Well, you are not wrong. There's one missing commit for Xenial. I've already filed LP: #1773905 for that.

Ok thanks, sorry. Now I understand the meaning of your message #47. I'll wait.

PS : I tried the "hwe" 16.04 kernel (which is the kernel from 17.10) and it does not work either...

Kai-Heng Feng (kaihengfeng) wrote :

"Proposed" needs to be enabled in APT to use the new kernel.

Launchpad Janitor (janitor) wrote :
Download full text (11.4 KiB)

This bug was fixed in the package linux - 4.15.0-23.25

---------------
linux (4.15.0-23.25) bionic; urgency=medium

  * linux: 4.15.0-23.25 -proposed tracker (LP: #1772927)

  * arm64 SDEI support needs trampoline code for KPTI (LP: #1768630)
    - arm64: mmu: add the entry trampolines start/end section markers into
      sections.h
    - arm64: sdei: Add trampoline code for remapping the kernel

  * Some PCIe errors not surfaced through rasdaemon (LP: #1769730)
    - ACPI: APEI: handle PCIe AER errors in separate function
    - ACPI: APEI: call into AER handling regardless of severity

  * qla2xxx: Fix page fault at kmem_cache_alloc_node() (LP: #1770003)
    - scsi: qla2xxx: Fix session cleanup for N2N
    - scsi: qla2xxx: Remove unused argument from qlt_schedule_sess_for_deletion()
    - scsi: qla2xxx: Serialize session deletion by using work_lock
    - scsi: qla2xxx: Serialize session free in qlt_free_session_done
    - scsi: qla2xxx: Don't call dma_free_coherent with IRQ disabled.
    - scsi: qla2xxx: Fix warning in qla2x00_async_iocb_timeout()
    - scsi: qla2xxx: Prevent relogin trigger from sending too many commands
    - scsi: qla2xxx: Fix double free bug after firmware timeout
    - scsi: qla2xxx: Fixup locking for session deletion

  * Several hisi_sas bug fixes (LP: #1768974)
    - scsi: hisi_sas: dt-bindings: add an property of signal attenuation
    - scsi: hisi_sas: support the property of signal attenuation for v2 hw
    - scsi: hisi_sas: fix the issue of link rate inconsistency
    - scsi: hisi_sas: fix the issue of setting linkrate register
    - scsi: hisi_sas: increase timer expire of internal abort task
    - scsi: hisi_sas: remove unused variable hisi_sas_devices.running_req
    - scsi: hisi_sas: fix return value of hisi_sas_task_prep()
    - scsi: hisi_sas: Code cleanup and minor bug fixes

  * [bionic] machine stuck and bonding not working well when nvmet_rdma module
    is loaded (LP: #1764982)
    - nvmet-rdma: Don't flush system_wq by default during remove_one
    - nvme-rdma: Don't flush delete_wq by default during remove_one

  * Warnings/hang during error handling of SATA disks on SAS controller
    (LP: #1768971)
    - scsi: libsas: defer ata device eh commands to libata

  * Hotplugging a SATA disk into a SAS controller may cause crash (LP: #1768948)
    - ata: do not schedule hot plug if it is a sas host

  * ISST-LTE:pKVM:Ubuntu1804: rcu_sched self-detected stall on CPU follow by CPU
    ATTEMPT TO RE-ENTER FIRMWARE! (LP: #1767927)
    - powerpc/powernv: Handle unknown OPAL errors in opal_nvram_write()
    - powerpc/64s: return more carefully from sreset NMI
    - powerpc/64s: sreset panic if there is no debugger or crash dump handlers

  * fsnotify: Fix fsnotify_mark_connector race (LP: #1765564)
    - fsnotify: Fix fsnotify_mark_connector race

  * Hang on network interface removal in Xen virtual machine (LP: #1771620)
    - xen-netfront: Fix hang on device removal

  * HiSilicon HNS NIC names are truncated in /proc/interrupts (LP: #1765977)
    - net: hns: Avoid action name truncation

  * Ubuntu 18.04 kernel crashed while in degraded mode (LP: #1770849)
    - SAUCE: powerpc/perf: Fix memory allocation for...

Changed in linux (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :
Download full text (15.1 KiB)

This bug was fixed in the package linux - 4.4.0-128.154

---------------
linux (4.4.0-128.154) xenial; urgency=medium

  * linux: 4.4.0-128.154 -proposed tracker (LP: #1772960)

  * CVE-2018-3639 (x86)
    - x86/cpu: Make alternative_msr_write work for 32-bit code
    - x86/bugs: Fix the parameters alignment and missing void
    - KVM: SVM: Move spec control call after restore of GS
    - x86/speculation: Use synthetic bits for IBRS/IBPB/STIBP
    - x86/cpufeatures: Disentangle MSR_SPEC_CTRL enumeration from IBRS
    - x86/cpufeatures: Disentangle SSBD enumeration
    - x86/cpu/AMD: Fix erratum 1076 (CPB bit)
    - x86/cpufeatures: Add FEATURE_ZEN
    - x86/speculation: Handle HT correctly on AMD
    - x86/bugs, KVM: Extend speculation control for VIRT_SPEC_CTRL
    - x86/speculation: Add virtualized speculative store bypass disable support
    - x86/speculation: Rework speculative_store_bypass_update()
    - x86/bugs: Unify x86_spec_ctrl_{set_guest,restore_host}
    - x86/bugs: Expose x86_spec_ctrl_base directly
    - x86/bugs: Remove x86_spec_ctrl_set()
    - x86/bugs: Rework spec_ctrl base and mask logic
    - x86/speculation, KVM: Implement support for VIRT_SPEC_CTRL/LS_CFG
    - KVM: SVM: Implement VIRT_SPEC_CTRL support for SSBD
    - x86/bugs: Rename SSBD_NO to SSB_NO
    - KVM: VMX: Expose SSBD properly to guests.

  * [i915_bpo] Fix flickering issue after panel change (LP: #1770565)
    - drm/i915: Fix iboost setting for DDI with 4 lanes on SKL
    - drm/i915: Name the "iboost bit"
    - drm/i915: Program iboost settings for HDMI/DVI on SKL
    - drm/i915: Move bxt_ddi_vswing_sequence() call into intel_ddi_pre_enable()
      for HDMI
    - drm/i915: Explicitly use ddi buf trans entry 9 for hdmi
    - drm/i915: Split DP/eDP/FDI and HDMI/DVI DDI buffer programming apart
    - drm/i915: Get the iboost setting based on the port type
    - drm/i915: Simplify intel_ddi_get_encoder_port()
    - drm/i915: Fix iboost setting for SKL Y/U DP DDI buffer translation entry 2
    - drm/i915: KBL - Recommended buffer translation programming for DisplayPort
    - drm/i915: Ignore OpRegion panel type except on select machines

  * [SRU][Bionic/Artful] fix false positives in W+X checking (LP: #1769696)
    - init: fix false positives in W+X checking

  * [Ubuntu 16.04] kernel: fix rwlock implementation (LP: #1761674)
    - SAUCE: (no-up) s390: fix rwlock implementation

  * linux < 4.11: unable to use netfilter logging from non-init namespaces
    (LP: #1766573)
    - netfilter: allow logging from non-init namespaces

  * [LTC Test] Ubuntu 18.04: tm_sigreturn failed on P8 compat mode 16.04.04
    guest (LP: #1771439)
    - powerpc: signals: Discard transaction state from signal frames

  * QCA9377 requires more IRAM banks for its new firmware (LP: #1748345)
    - ath10k: update the IRAM bank number for QCA9377

  * i915/kbl_dmc_ver1.bin failed with error -2 package 1.157.17 kernel
    4.4.0-116-generic (LP: #1752536)
    - ubuntu: i915_bpo - Add MODULE_FIRMWARE for Geminilake's DMC

  * Xenial update to 4.4.131 stable release (LP: #1768825)
    - ext4: prevent right-shifting extents beyond EXT_MAX_BLOCKS
    - ext4: set h_journal if there is a failure...

Changed in linux (Ubuntu Xenial):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :
Download full text (4.3 KiB)

This bug was fixed in the package linux - 4.13.0-45.50

---------------
linux (4.13.0-45.50) artful; urgency=medium

  * linux: 4.13.0-45.50 -proposed tracker (LP: #1774124)

  * CVE-2018-3639 (x86)
    - SAUCE: Set generic SSBD feature for Intel cpus

linux (4.13.0-44.49) artful; urgency=medium

  * linux: 4.13.0-44.49 -proposed tracker (LP: #1772951)

  * CVE-2018-3639 (x86)
    - x86/cpu: Make alternative_msr_write work for 32-bit code
    - x86/cpu/AMD: Fix erratum 1076 (CPB bit)
    - x86/bugs: Fix the parameters alignment and missing void
    - KVM: SVM: Move spec control call after restore of GS
    - x86/speculation: Use synthetic bits for IBRS/IBPB/STIBP
    - x86/cpufeatures: Disentangle MSR_SPEC_CTRL enumeration from IBRS
    - x86/cpufeatures: Disentangle SSBD enumeration
    - x86/cpufeatures: Add FEATURE_ZEN
    - x86/speculation: Handle HT correctly on AMD
    - x86/bugs, KVM: Extend speculation control for VIRT_SPEC_CTRL
    - x86/speculation: Add virtualized speculative store bypass disable support
    - x86/speculation: Rework speculative_store_bypass_update()
    - x86/bugs: Unify x86_spec_ctrl_{set_guest,restore_host}
    - x86/bugs: Expose x86_spec_ctrl_base directly
    - x86/bugs: Remove x86_spec_ctrl_set()
    - x86/bugs: Rework spec_ctrl base and mask logic
    - x86/speculation, KVM: Implement support for VIRT_SPEC_CTRL/LS_CFG
    - KVM: SVM: Implement VIRT_SPEC_CTRL support for SSBD
    - x86/bugs: Rename SSBD_NO to SSB_NO
    - KVM: VMX: Expose SSBD properly to guests.

  * [Ubuntu 16.04] kernel: fix rwlock implementation (LP: #1761674)
    - SAUCE: (no-up) s390: fix rwlock implementation

  * CVE-2018-7492
    - rds: Fix NULL pointer dereference in __rds_rdma_map

  * CVE-2018-8781
    - drm: udl: Properly check framebuffer mmap offsets

  * fsnotify: Fix fsnotify_mark_connector race (LP: #1765564)
    - fsnotify: Fix fsnotify_mark_connector race

  * Kernel panic on boot (m1.small in cn-north-1) (LP: #1771679)
    - x86/xen: Reset VCPU0 info pointer after shared_info remap

  * Suspend to idle: Open lid didn't resume (LP: #1771542)
    - ACPI / PM: Do not reconfigure GPEs for suspend-to-idle

  * CVE-2018-1092
    - ext4: fail ext4_iget for root directory if unallocated

  * [SRU][Artful] using vfio-pci on a combination of cn8xxx and some PCI devices
    results in a kernel panic. (LP: #1770254)
    - PCI: Avoid bus reset if bridge itself is broken
    - PCI: Mark Cavium CN8xxx to avoid bus reset
    - PCI: Avoid slot reset if bridge itself is broken

  * Battery drains when laptop is off (shutdown) (LP: #1745646)
    - PCI / PM: Check device_may_wakeup() in pci_enable_wake()

  * perf record crash: refcount_inc assertion failed (LP: #1769027)
    - perf cgroup: Fix refcount usage
    - perf xyarray: Fix wrong processing when closing evsel fd

  * Dell Latitude 5490/5590 BIOS update 1.1.9 causes black screen at boot
    (LP: #1764194)
    - drm/i915/bios: filter out invalid DDC pins from VBT child devices

  * Fix an issue that some PCI devices get incorrectly suspended (LP: #1764684)
    - PCI / PM: Always check PME wakeup capability for runtime wakeup support

  * [SRU][Bionic/Artful] fix false positives in W...

Read more...

Changed in linux (Ubuntu Artful):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :
Download full text (10.6 KiB)

This bug was fixed in the package linux-oem - 4.13.0-1030.33

---------------
linux-oem (4.13.0-1030.33) xenial; urgency=medium

  * linux-oem: 4.13.0-1030.33 -proposed tracker (LP: #1774126)

  * Miscellaneous Ubuntu changes
    - Rebase to 4.13.0-45.50

  [ Ubuntu: 4.13.0-45.50 ]

  * linux: 4.13.0-45.50 -proposed tracker (LP: #1774124)
  * CVE-2018-3639 (x86)
    - SAUCE: Set generic SSBD feature for Intel cpus

linux-oem (4.13.0-1029.32) xenial; urgency=medium

  * linux-oem: 4.13.0-1029.32 -proposed tracker (LP: #1772956)

  * Enable AMD PCIe MP2 for AMDI0011 (LP: #1773940)
    - SAUCE: i2c:amd I2C Driver based on PCI Interface for upcoming platform

  * Intel WiFi Linux driver update for ETSI 5GHz Adaptivity Requirement
    (LP: #1769980)
    - iwlwifi: track current firmware image in common code
    - iwlwifi: refactor firmware debug code
    - iwlwifi: mvm: support fw reading empty OTP
    - iwlwifi: implement fseq version mismatch warning
    - iwlwifi: mvm: fix the FIFO numbers in A000 devices
    - iwlwifi: mvm: remove non-DQA mode
    - iwlwifi: mvm: check family instead of new TX API for workarounds
    - iwlwifi: mvm: add and use iwl_mvm_has_unified_ucode()
    - iwlwifi: mvm: move a000 device NVM retrieval to a common place
    - Revert "UBUNTU: SAUCE: iwlwifi: Adding missing id A370:42A4"
    - Revert "iwlwifi: fix PCI IDs and configuration mapping for 9000 series"
    - Revert "iwlwifi: fix firmware names for 9000 and A000 series hw"
    - iwlwifi: add support of FPGA fw
    - iwlwifi: fix nmi triggering from host
    - iwlwifi: pcie: free the TSO page when a Tx queue is unmapped on A000 devices
    - iwlwifi: mvm: fix the coex firmware API
    - iwlwifi: mvm: support new Coex firmware API
    - iwlwifi: pcie: support short Tx queues for A000 device family
    - iwlwifi: mvm: group all dummy SAR function declarations together
    - iwlwifi: mvm: use mvmsta consistently in rs.c
    - iwlwifi: distinguish different RF modules in A000 devices
    - iwlwifi: update channel flags parser
    - iwlwifi: mvm: change open and close criteria of a BA session
    - iwlwifi: fw: fix lar_enabled endian problem in iwl_fw_get_nvm
    - iwlwifi: mvm: remove useless argument in iwl_nvm_init()
    - cfg80211: honor NL80211_RRF_NO_HT40{MINUS,PLUS}
    - cfg80211/nl80211: add a port authorized event
    - ieee80211: Add WFA TPC report element OUI type
    - iwlwifi: mvm: bump API to 34 for 8000 and up
    - iwlwifi: fix long debug print
    - iwlwifi: nvm-parse: unify channel flags printing
    - iwlwifi: nvm: set the correct offsets to 3168 series
    - iwlwifi: mvm: Add new quota command API
    - iwlwifi: mvm: remove support for Link Quality Measurements
    - iwlwifi: pcie: dynamic Tx command queue size
    - iwlwifi: acpi: add common code to read from ACPI
    - iwlwifi: acpi: move ACPI method definitions to acpi.h
    - iwlwifi: acpi: move ACPI-related definitions to acpi.h
    - iwlwifi: acpi: generalize iwl_mvm_sar_find_wifi_pkg()
    - iwlwifi: acpi: use iwl_acpi_get_wifi_pkg when reading reading SPLC
    - iwlwifi: acpi: make iwl_get_bios_mcc() use the common acpi functions
    - iwlwifi: acpi: move function to get mcc into acpi code
  ...

Changed in linux-oem (Ubuntu Xenial):
status: In Progress → Fix Released
status: In Progress → Fix Released
Launchpad Janitor (janitor) wrote :
Download full text (13.7 KiB)

This bug was fixed in the package linux-oem - 4.15.0-1008.11

---------------
linux-oem (4.15.0-1008.11) bionic; urgency=medium

  * linux-oem: 4.15.0-1008.11 -proposed tracker (LP: #1774764)

  * [Redpine] Wifi AP does not work (LP: #1774606)
    - Revert "UBUNTU: SAUCE: rsi: drop RX broadcast/multicast packets with invalid
      PN"
    - SAUCE: rsi: fix for 40MHZ connection issue.
    - SAUCE: rsi: add firmware support for AP+BT dual mode

linux-oem (4.15.0-1007.10) bionic; urgency=medium

  * linux-oem: 4.15.0-1007.10 -proposed tracker (LP: #1772933)

  * Intel WiFi Linux driver update for ETSI 5GHz Adaptivity Requirement
    (LP: #1769980)
    - iwlwifi: mvm: add WFA vendor specific TPC report IE to probe request
    - iwlwifi: mvm: remove set but unused variable in iwl_mvm_roc_done_wk
    - iwlwifi: mvm: rs: introduce new API for rate scaling
    - iwlwifi: mvm: rs: add ops for the new rate scaling in the FW
    - iwlwifi: mvm: rs: add basic implementation of the new RS API handlers
    - iwlwifi: mvm: rs: new rate scale API - add FW notifications
    - iwlwifi: mvm: rs: new rate scale API - add debugfs hooks
    - iwlwifi: mvm: rs: add size checks when printing to a buffer
    - iwlwifi: mvm: rs: add sanity check when sending LQ command
    - iwlwifi: mvm: support RX flags API change
    - iwlwifi: fw: fix the enums in the rate scaling API
    - iwlwifi: mvm: adjust to quota offload
    - iwlwifi: mvm: send the low latency command
    - iwlwifi: define and use if iwl_mvm_has_tlc_offload
    - cfg80211: read wmm rules from regulatory database
    - mac80211: limit wmm params to comply with ETSI requirements
    - cfg80211: Add API to allow querying regdb for wmm_rule
    - iwlwifi: mvm: query regdb for wmm rule if needed
    - iwlwifi: rename the temporary name of A000 to the official 22000
    - iwlwifi: bump FW API to 36 for 8000 and up
    - iwlwifi: bump the max API version for 9000 and 22000 devices
    - iwlwifi: api: Add geographic profile information to MCC_UPDATE_CMD

  * [Redpine] HCI command timeout after resume from S4 (LP: #1772626)
    - SAUCE: Bluetooth: btrsi: add hci detach for hibernation and poweroff
    - SAUCE: Bluetooth:btrsi: add null check in hci send and recv functions
    - SAUCE: Bluetooth:btrsi: fix bt cmd timeout issue

  * Switch Build-Depends: transfig to fig2dev (LP: #1770770)
    - [Config] update Build-Depends: transfig to fig2dev

  * Miscellaneous Ubuntu changes
    - Rebase to 4.15.0-23.25

  [ Ubuntu: 4.15.0-23.25 ]

  * linux: 4.15.0-23.25 -proposed tracker (LP: #1772927)
  * arm64 SDEI support needs trampoline code for KPTI (LP: #1768630)
    - arm64: mmu: add the entry trampolines start/end section markers into
      sections.h
    - arm64: sdei: Add trampoline code for remapping the kernel
  * Some PCIe errors not surfaced through rasdaemon (LP: #1769730)
    - ACPI: APEI: handle PCIe AER errors in separate function
    - ACPI: APEI: call into AER handling regardless of severity
  * qla2xxx: Fix page fault at kmem_cache_alloc_node() (LP: #1770003)
    - scsi: qla2xxx: Fix session cleanup for N2N
    - scsi: qla2xxx: Remove unused argument from qlt_schedule_sess_for_deletion()
    - scsi: qla2xx...

Changed in linux-oem (Ubuntu Bionic):
status: In Progress → Fix Released
Launchpad Janitor (janitor) wrote :
Download full text (11.4 KiB)

This bug was fixed in the package linux - 4.15.0-23.25

---------------
linux (4.15.0-23.25) bionic; urgency=medium

  * linux: 4.15.0-23.25 -proposed tracker (LP: #1772927)

  * arm64 SDEI support needs trampoline code for KPTI (LP: #1768630)
    - arm64: mmu: add the entry trampolines start/end section markers into
      sections.h
    - arm64: sdei: Add trampoline code for remapping the kernel

  * Some PCIe errors not surfaced through rasdaemon (LP: #1769730)
    - ACPI: APEI: handle PCIe AER errors in separate function
    - ACPI: APEI: call into AER handling regardless of severity

  * qla2xxx: Fix page fault at kmem_cache_alloc_node() (LP: #1770003)
    - scsi: qla2xxx: Fix session cleanup for N2N
    - scsi: qla2xxx: Remove unused argument from qlt_schedule_sess_for_deletion()
    - scsi: qla2xxx: Serialize session deletion by using work_lock
    - scsi: qla2xxx: Serialize session free in qlt_free_session_done
    - scsi: qla2xxx: Don't call dma_free_coherent with IRQ disabled.
    - scsi: qla2xxx: Fix warning in qla2x00_async_iocb_timeout()
    - scsi: qla2xxx: Prevent relogin trigger from sending too many commands
    - scsi: qla2xxx: Fix double free bug after firmware timeout
    - scsi: qla2xxx: Fixup locking for session deletion

  * Several hisi_sas bug fixes (LP: #1768974)
    - scsi: hisi_sas: dt-bindings: add an property of signal attenuation
    - scsi: hisi_sas: support the property of signal attenuation for v2 hw
    - scsi: hisi_sas: fix the issue of link rate inconsistency
    - scsi: hisi_sas: fix the issue of setting linkrate register
    - scsi: hisi_sas: increase timer expire of internal abort task
    - scsi: hisi_sas: remove unused variable hisi_sas_devices.running_req
    - scsi: hisi_sas: fix return value of hisi_sas_task_prep()
    - scsi: hisi_sas: Code cleanup and minor bug fixes

  * [bionic] machine stuck and bonding not working well when nvmet_rdma module
    is loaded (LP: #1764982)
    - nvmet-rdma: Don't flush system_wq by default during remove_one
    - nvme-rdma: Don't flush delete_wq by default during remove_one

  * Warnings/hang during error handling of SATA disks on SAS controller
    (LP: #1768971)
    - scsi: libsas: defer ata device eh commands to libata

  * Hotplugging a SATA disk into a SAS controller may cause crash (LP: #1768948)
    - ata: do not schedule hot plug if it is a sas host

  * ISST-LTE:pKVM:Ubuntu1804: rcu_sched self-detected stall on CPU follow by CPU
    ATTEMPT TO RE-ENTER FIRMWARE! (LP: #1767927)
    - powerpc/powernv: Handle unknown OPAL errors in opal_nvram_write()
    - powerpc/64s: return more carefully from sreset NMI
    - powerpc/64s: sreset panic if there is no debugger or crash dump handlers

  * fsnotify: Fix fsnotify_mark_connector race (LP: #1765564)
    - fsnotify: Fix fsnotify_mark_connector race

  * Hang on network interface removal in Xen virtual machine (LP: #1771620)
    - xen-netfront: Fix hang on device removal

  * HiSilicon HNS NIC names are truncated in /proc/interrupts (LP: #1765977)
    - net: hns: Avoid action name truncation

  * Ubuntu 18.04 kernel crashed while in degraded mode (LP: #1770849)
    - SAUCE: powerpc/perf: Fix memory allocation for...

Changed in linux (Ubuntu):
status: Confirmed → Fix Released
Launchpad Janitor (janitor) wrote :
Download full text (13.7 KiB)

This bug was fixed in the package linux-oem - 4.15.0-1008.11

---------------
linux-oem (4.15.0-1008.11) bionic; urgency=medium

  * linux-oem: 4.15.0-1008.11 -proposed tracker (LP: #1774764)

  * [Redpine] Wifi AP does not work (LP: #1774606)
    - Revert "UBUNTU: SAUCE: rsi: drop RX broadcast/multicast packets with invalid
      PN"
    - SAUCE: rsi: fix for 40MHZ connection issue.
    - SAUCE: rsi: add firmware support for AP+BT dual mode

linux-oem (4.15.0-1007.10) bionic; urgency=medium

  * linux-oem: 4.15.0-1007.10 -proposed tracker (LP: #1772933)

  * Intel WiFi Linux driver update for ETSI 5GHz Adaptivity Requirement
    (LP: #1769980)
    - iwlwifi: mvm: add WFA vendor specific TPC report IE to probe request
    - iwlwifi: mvm: remove set but unused variable in iwl_mvm_roc_done_wk
    - iwlwifi: mvm: rs: introduce new API for rate scaling
    - iwlwifi: mvm: rs: add ops for the new rate scaling in the FW
    - iwlwifi: mvm: rs: add basic implementation of the new RS API handlers
    - iwlwifi: mvm: rs: new rate scale API - add FW notifications
    - iwlwifi: mvm: rs: new rate scale API - add debugfs hooks
    - iwlwifi: mvm: rs: add size checks when printing to a buffer
    - iwlwifi: mvm: rs: add sanity check when sending LQ command
    - iwlwifi: mvm: support RX flags API change
    - iwlwifi: fw: fix the enums in the rate scaling API
    - iwlwifi: mvm: adjust to quota offload
    - iwlwifi: mvm: send the low latency command
    - iwlwifi: define and use if iwl_mvm_has_tlc_offload
    - cfg80211: read wmm rules from regulatory database
    - mac80211: limit wmm params to comply with ETSI requirements
    - cfg80211: Add API to allow querying regdb for wmm_rule
    - iwlwifi: mvm: query regdb for wmm rule if needed
    - iwlwifi: rename the temporary name of A000 to the official 22000
    - iwlwifi: bump FW API to 36 for 8000 and up
    - iwlwifi: bump the max API version for 9000 and 22000 devices
    - iwlwifi: api: Add geographic profile information to MCC_UPDATE_CMD

  * [Redpine] HCI command timeout after resume from S4 (LP: #1772626)
    - SAUCE: Bluetooth: btrsi: add hci detach for hibernation and poweroff
    - SAUCE: Bluetooth:btrsi: add null check in hci send and recv functions
    - SAUCE: Bluetooth:btrsi: fix bt cmd timeout issue

  * Switch Build-Depends: transfig to fig2dev (LP: #1770770)
    - [Config] update Build-Depends: transfig to fig2dev

  * Miscellaneous Ubuntu changes
    - Rebase to 4.15.0-23.25

  [ Ubuntu: 4.15.0-23.25 ]

  * linux: 4.15.0-23.25 -proposed tracker (LP: #1772927)
  * arm64 SDEI support needs trampoline code for KPTI (LP: #1768630)
    - arm64: mmu: add the entry trampolines start/end section markers into
      sections.h
    - arm64: sdei: Add trampoline code for remapping the kernel
  * Some PCIe errors not surfaced through rasdaemon (LP: #1769730)
    - ACPI: APEI: handle PCIe AER errors in separate function
    - ACPI: APEI: call into AER handling regardless of severity
  * qla2xxx: Fix page fault at kmem_cache_alloc_node() (LP: #1770003)
    - scsi: qla2xxx: Fix session cleanup for N2N
    - scsi: qla2xxx: Remove unused argument from qlt_schedule_sess_for_deletion()
    - scsi: qla2xx...

Changed in linux-oem (Ubuntu):
status: Confirmed → Fix Released
Changed in hwe-next:
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Related questions